## EvSelection EvSelection |

## Functions

void | ev_selection_render_selection ()
gchar * | ev_selection_get_selected_text ()
cairo_region_t * | ev_selection_get_selection_region ()

## Types and Values

enum | EvSelectionStyle
| EvSelection
struct | EvSelectionInterface

## Object Hierarchy

        GEnum
        ╰── EvSelectionStyle
        GInterface
        ╰── EvSelection

## Description

## Functions

### ev_selection_render_selection ()

    void
    ev_selection_render_selection (EvSelection *selection,
                                   EvRenderContext *rc,
                                   cairo_surface_t **surface,
                                   EvRectangle *points,
                                   EvRectangle *old_points,
                                   EvSelectionStyle style,
                                   GdkColor *text,
                                   GdkColor *base);

### ev_selection_get_selected_text ()

    gchar *
    ev_selection_get_selected_text (EvSelection *selection,
                                    EvPage *page,
                                    EvSelectionStyle style,
                                    EvRectangle *points);

#### Returns

### ev_selection_get_selection_region ()

    cairo_region_t *
    ev_selection_get_selection_region (EvSelection *selection,
                                       EvRenderContext *rc,
                                       EvSelectionStyle style,
                                       EvRectangle *points);

#### Returns

## Types and Values

### enum EvSelectionStyle

#### Members

EV_SELECTION_STYLE_GLYPH |  |
EV_SELECTION_STYLE_WORD |  |
EV_SELECTION_STYLE_LINE |  |

### EvSelection

    typedef struct _EvSelection EvSelection;

### struct EvSelectionInterface

    struct EvSelectionInterface {
    	GTypeInterface base_iface;

    	void             (* render_selection)     (EvSelection      *selection,
    						   EvRenderContext  *rc,
    						   cairo_surface_t **surface,
    						   EvRectangle      *points,
    						   EvRectangle      *old_points,
    						   EvSelectionStyle  style,
    						   GdkColor         *text,
    						   GdkColor         *base);
    	gchar          * (* get_selected_text)    (EvSelection      *selection,
    						   EvPage           *page,
    						   EvSelectionStyle  style,
    						   EvRectangle      *points);
    	cairo_region_t * (* get_selection_region) (EvSelection      *selection,
    						   EvRenderContext  *rc,
    						   EvSelectionStyle  style,
    						   EvRectangle      *points);
    };